/**
 * Class Subtracter - write a description of the class here
 * 
 * @author: Kleanthis Thramboulidis
 * date: 
 */
public class Subtracter extends Operator
 {
  public void operate()
   {
	 Double d2 = (Double)Calculator.s.pop();
     Double d1 = (Double)Calculator.s.pop();
	 Double result = new Double(d1.doubleValue() - d2.doubleValue());
     Calculator.s.push(result);
     Calculator.s.displayStatus();
   }
 }
    